### Function

# Clapper init_check

#### Declaration [src]

    gboolean
    clapper_init_check (
      int* argc,
      char*** argv
    )

#### Description [src]

This function does the same thing as `clapper_init()`, but instead of terminating on failure it returns `FALSE`.

#### Parameters

`argc`

  Type: `int*`

  Pointer to application’s argc.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the function.
  The argument can be `NULL`.

`argv`

  Type: An array of `char**`

  Pointer to application’s argv.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the function.
  The argument can be `NULL`.
  The length of the array is specified in the `argc` argument.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if Clapper could be initialized, `FALSE` otherwise.